/*
 * Copyright 2013 Red Hat Inc. and/or its affiliates and other contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,  
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.switchyard.deploy.event;

import java.util.EventObject;

import org.switchyard.deploy.internal.AbstractDeployment;

/**
 * Fired when a SwitchYard application is undeployed.
 */
public class ApplicationUndeployedEvent extends EventObject {

    private static final long serialVersionUID = 8389754361920353347L;

    /**
     * Creates a new ApplicationUndeployedEvent event.
     * @param deployment the application deployment
     */
    public ApplicationUndeployedEvent(AbstractDeployment deployment) {
        super(deployment);
    }
    
    /**
     * Gets the undeployed application.
     * @return application deployment
     */
    public AbstractDeployment getDeployment() {
        return (AbstractDeployment)getSource();
    }
}
